Bug 1197730 (CVE-2015-8984) - CVE-2015-8984 glibc: potential denial of service in internal_fnmatch()
Summary: CVE-2015-8984 glibc: potential denial of service in internal_fnmatch()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8984
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1197732 1209107
Blocks: 1187112 1197731 1210268
TreeView+ depends on / blocked
 
Reported: 2015-03-02 13:51 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:29 UTC (History)
9 users (show)

Fixed In Version: glibc 2.22
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way glibc's fnmatch() function processed certain malformed patterns. An attacker able to make an application call this function could use this flaw to crash that application.
Clone Of:
Environment:
Last Closed: 2015-11-24 08:28:01 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2199 0 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2015-11-19 08:04:22 UTC
Sourceware 17062 0 None None None Never
Sourceware 18032 0 None None None Never
Sourceware 18036 0 None None None Never

Description Vasyl Kaigorodov 2015-03-02 13:51:43 UTC
It was reported [1] that when processing certain malformed patterns, fnmatch can skip over the NUL byte terminating the pattern.  This can potentially result in an application crash if fnmatch hits an unmapped page before encountering a NUL byte.

Upstream bug report:
https://sourceware.org/bugzilla/show_bug.cgi?id=18032

The fix is here:
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4a28f4d55a6cc33474c0792fe93b5942d81bf185

[1]: http://seclists.org/oss-sec/2015/q1/689

Comment 1 Vasyl Kaigorodov 2015-03-02 13:53:14 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1197732]

Comment 3 Martin Sebor 2015-05-29 22:45:10 UTC
There are two other related bugs in fnmatch that have been fixed upstream and that need to be backported if 18032 is to be because the test in 18032 depends on those fixes: 
http://sourceware.org/bugzilla/show_bug.cgi?id=17062
and
http://sourceware.org/bugzilla/show_bug.cgi?id=18036

Comment 4 Carlos O'Donell 2015-06-03 04:28:56 UTC
(In reply to Martin Sebor from comment #3)
> There are two other related bugs in fnmatch that have been fixed upstream
> and that need to be backported if 18032 is to be because the test in 18032
> depends on those fixes: 
> http://sourceware.org/bugzilla/show_bug.cgi?id=17062
> and
> http://sourceware.org/bugzilla/show_bug.cgi?id=18036

Both of those look good to me.

Comment 5 Huzaifa S. Sidhpurwala 2015-09-08 07:24:34 UTC
CVE request via:

http://openwall.com/lists/oss-security/2015/09/08/2

Comment 7 errata-xmlrpc 2015-11-19 04:16:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2199 https://rhn.redhat.com/errata/RHSA-2015-2199.html

Comment 8 Andrej Nemec 2017-02-15 09:10:43 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/437


Note You need to log in before you can comment on or make changes to this bug.